DiceX DevelopersDiceX API Docs

Get Received Smses Paging

GET
/api/v1/Sms/GetReceivedSmsesPaging
ApiKey<token>

API Key needed to access the endpoints. Example: "ApiKey: {key}"

In: header

Query Parameters

lineNumber?string
startDate?string
Formatdate-time
endDate?string
Formatdate-time
pageIndex?integer
Formatint32
pageSize?integer
Formatint32

Response Body

curl -X GET "https://gateway.dicex.me/api/v1/Sms/GetReceivedSmsesPaging"
{
  "isSuccess": true,
  "message": "string",
  "value": {
    "pageIndex": 0,
    "pageSize": 0,
    "totalCount": 0,
    "totalPages": 0,
    "hasPreviousPage": true,
    "hasNextPage": true,
    "items": [
      {
        "id": 0,
        "message": "string",
        "sender": "string",
        "lineNumber": "string",
        "receiveDate": "2019-08-24T14:15:22Z"
      }
    ]
  }
}